## gate.util
Class GateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DocumentFormatException, ExecutionException, GazetteerException, InvalidDatabaseException, InvalidOffsetException, JapeException, JdmException, NoSuchObjectException, OpenTransactionsException, ParameterException, PersistenceException, ResourceInstantiationException, SecurityException, TokeniserException

public class GateException
extends Exception

A superclass for exceptions in the GATE packages. Can be used to catch any internal exception thrown by the GATE libraries. (Of course other types of exception may be thrown, but these will be from other sources such as the Java core API.)

See Also:
  Serialized Form

Constructor Summary
`GateException()`
`GateException(Exception e)`
`GateException(String s)`

Method Summary
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GateException

    public GateException()

### GateException

    public GateException(String s)

### GateException

    public GateException(Exception e)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Overrides:
    `printStackTrace` in class `Throwable`